
#----------------------------------------------------------
#
#  
#----------------------------------------------------------

MAIN=lutin-slides
#MAIN=lutin

FIGS=./figs
OBJPDF = ./obj-pdf

# Le(s) source(s) latex
SRC = $(MAIN).tex


# Les figures 
FIGPDF = \
	$(OBJPDF)/appli.tex

all : $(MAIN).pdf

re :
	touch $(SRC)
	make


$(OBJPDF):
	mkdir $(OBJPDF)

$(MAIN).pdf : $(OBJPDF) $(SRC) $(FIGPDF)
	(cd $(OBJPDF); pdflatex ../$(MAIN).tex)
	mv $(OBJPDF)/$(MAIN).pdf .

$(OBJPDF)/%.tex : $(FIGS)/%.fig
	fig2dev -Lpdftex $< > $(OBJPDF)/$*.pdf
	fig2dev -Lpdftex_t -p $*.pdf $< > $@

#	cd $(FIGS); mk2 ../$(OBJPDF) $*.fig

clean:
	/bin/rm -rf ./objpdf/*
